## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# GuardCachedObject Template Class Reference

`#include <XalanObjectCache.hpp>`

List of all members.

## Public Types

- typedef XalanObjectCacheType::CacheObjectType CacheObjectType

## Public Methods

- GuardCachedObject (XalanObjectCacheType& theCache)
- ~GuardCachedObject ()
- CacheObjectType* get () const
- CacheObjectType* release ()

## Member Typedef Documentation

template<classXalanObjectCacheType>
typedef XalanObjectCacheType::CacheObjectType GuardCachedObject<XalanObjectCacheType>::CacheObjectType

## Constructor & Destructor Documentation

template<classXalanObjectCacheType>
GuardCachedObject<XalanObjectCacheType>::GuardCachedObject<XalanObjectCacheType> ( | XalanObjectCacheType & theCache )

template<classXalanObjectCacheType>
GuardCachedObject<XalanObjectCacheType>::~GuardCachedObject<XalanObjectCacheType> ( | )`[]`

## Member Function Documentation

template<classXalanObjectCacheType>
CacheObjectType * GuardCachedObject<XalanObjectCacheType>::get ( | ) const`[]`

template<classXalanObjectCacheType>
CacheObjectType * GuardCachedObject<XalanObjectCacheType>::release ( | )`[]`

The documentation for this class was generated from the following file:

- XalanObjectCache.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.